import {Component, OnInit} from '@angular/core';
import {ActivatedRoute} from '@angular/router';

import {PersonModel} from '../../models';

@Component({
  selector: 'app-page-profil',
  templateUrl: './page-profil.component.html',
  styleUrls: ['./page-profil.component.scss']
})
export class PageProfilComponent implements OnInit {
  person: PersonModel;

  constructor(private route: ActivatedRoute) {

  }

  ngOnInit() {
    this.route.data.subscribe((data: { person: PersonModel }) => {
      this.person = data.person;
    });
  }
}
