import {Pipe, PipeTransform} from '@angular/core';

@Pipe({name: 'capitalize'})
export class CapitalizePipe implements PipeTransform {
  transform(value: string): string {
    return value
      .split(' ')
      .reduce((acc: string, part: string) => {
        return `${acc ? `${acc} ` : ''}${part.charAt(0).toUpperCase()}${part.slice(1)}`;
      }, null);
  }
}
